using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Effects;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace InteractiveKiosk
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Authorization(object sender, RoutedEventArgs e)
        {

            this.Opacity = 0.5;
            this.Effect = new BlurEffect();
            AuthorizationWindow aw = new AuthorizationWindow()
            {
                Owner = this,
                ShowInTaskbar = false,
                Topmost = true
            };
            aw.ShowDialog();
            this.Opacity = 1;
            this.Effect = null;

        }

        private void WindowLoaded(object sender, RoutedEventArgs e)
        {
            date.Content = DateTime.Now.ToString("dddd");
            time.Content = DateTime.Now.ToString("HH:mm");

        }

        private void More(object sender, RoutedEventArgs e)
        {
            
        }

        private void Map(object sender, RoutedEventArgs e)
        {
            this.Opacity = 0.5;
            this.Effect = new BlurEffect();
            Map m = new Map()
            {
                Owner = this,
                ShowInTaskbar = false,
                Topmost = true
            };
            m.ShowDialog();
            this.Opacity = 1;
            this.Effect = null;
        }

        private void Attractions(object sender, RoutedEventArgs e)
        {
            //this.Opacity = 0.5;
            //this.Effect = new BlurEffect();
            //Attraction a = new Attraction()
            //{
            //    Owner = this,
            //    ShowInTaskbar = false,
            //    Topmost = true
            //};
            //a.ShowDialog();
            //this.Opacity = 1;
            //this.Effect = null;
        }
    }
}